Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
RoyalBerkshireFox Posted on 22/05/2020 19:30
Pensions

Report Message | Email Message To A Friend | Reply To Message
 
Remember when we were young and we were told it was so important to start a pension to save for our retirement?
Such bad advice. Thieving XXXXXXs.
IP: Logged
Tubebar_Rich Posted on 22/05/2020 19:43
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Yep... lost £30K in 6 weeks. So tempted to take it all out when i'm 55. Take the tax hit and live the life.
IP: Logged
billsballbag Posted on 22/05/2020 20:19
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
By the time I get there I reckon full retirement will be a thing of the past. Outmoded concept.

IP: Logged
Filbo65 Posted on 22/05/2020 22:41
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Who's been thieving pensions now? Another Capt'n Bob come to light?
IP: Logged
buz_not_buzz Posted on 22/05/2020 22:46
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
"The value of investments can go down as well as up"... yadda-yadda-yadda
IP: Logged
Filbo65 Posted on 22/05/2020 22:49
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Anyone know an investment that only goes up, please?
IP: Logged
DagenhamFox Posted on 22/05/2020 23:50
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Generally speaking bricks and mortar.
IP: Logged
Filbo65 Posted on 23/05/2020 00:02
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Nah, that goes up and down, just like the stockmarkets do [:P]
IP: Logged
RoyalBerkshireFox Posted on 23/05/2020 00:02
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
My point is even without the virus halving the value of our pension pots the pension companies just skim off most of the profits you make when the stock market rises as “charges” for their fund mismanagement. The whole thing is a con.
IP: Logged
hackneyfox Posted on 23/05/2020 00:27
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Yet people moan about Unions trying to protect final salary pensions.
Thankfully I paid into one for 20 years so I have something reasonable when I do retire.
Everything else I've paid into for the last 15 years will probably earn me a fifth (at best) of that.
The whole thing is a con.

I haven't yet told my lad that out of his future shilo salary he'll be expected to pay off his student grant, start his pension by 25 and also pay rent/mortgage after having also saved tens of thousands as a deposit on a home.
IP: Logged
Surffers Posted on 23/05/2020 01:35
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Private pensions need a stable stock market and right now the farce that is the flu has crippled worldwide stock markets .

Companies need to make money the global debt after this farce goes away will cause a massive recession, governments borrowing money to stop people working and creating wealth has to be paid for .


The socialist nutters just think you can print money on the back of zero returns, well sit back and enjoy the kind of poverty that third world countries live in.
This over reaction to the flu is going to cost you.
IP: Logged
shanetko Posted on 23/05/2020 01:40
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
F**k off you Bogan c**t
IP: Logged
Filbo65 Posted on 23/05/2020 01:43
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
To be honest, RBF, if your pension fund has halved due to CV in recent months then you need to have words with your manager. 10%, yes. 15% or 20% if you're invested RF8 or 9. But 50%??
IP: Logged
Filbo65 Posted on 23/05/2020 01:56
Pensions
Edited On: 23/05/2020 10:10
Report Message | Email Message To A Friend | Reply To Message 

 
You raise an interesting point, Hackers. There'll be plenty of people who envy your 20-years' worth of decent pension – me included. But I just reckon final salary schemes are a relic from the past.
They date from a time when life expectancy was far lower. I had a relative who retired from the Bank of England in the mid-70s (in her late 40s) on a salary of around £7k, after around 20 years max of working. I don't know what her contributions totalled over that period, but it wouldn't have been much. She died a couple of years ago, after around 40 years as a BofE pensioner, on a pension from memory of around £19k per year.
I was thrilled for her – not least because I had no fear of needing to help support her! – but no-one can claim that sort of thing is sustainable, surely?
There's a vey good reason that the nation's future public sector pension liabilities rarely get fully shared with the tax-payers of today and the future...
IP: Logged
Surffers Posted on 23/05/2020 03:43
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
I find it interesting that those who wanted a lockdown now find there's a price to pay and maybe personal wealth is more important than hiding away from the flu .

If a new variety of this flu appears next winter do you want more of the same impoverishment or expect the health service to do its job and contain the spread by infection control in the hospitals and old people's homes.
IP: Logged
LeicesterRino Posted on 23/05/2020 07:16
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
The problem with most final salary pensions is they’re not transferable or to put it another way, if you snuff it before your wife she gets f’ck all
IP: Logged
DagenhamFox Posted on 23/05/2020 07:21
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Surffers I will not hijack this thread, I’ll post a reply on another thread.
IP: Logged
harwichfox Posted on 23/05/2020 20:11
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
If people retire early on good pensions doesn't that leave jobs open for our children?
IP: Logged
Filbo65 Posted on 23/05/2020 20:25
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
Not if the cost of the 'good' pensions starves the company of funds and impacts on its and its employees futures.
IP: Logged
TheAddersFox Posted on 23/05/2020 20:39
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
It will delay people who were coming up to retirement but don't cash out now, buy the ftse 100, housing market is not what it was either
IP: Logged
LeicesterRino Posted on 23/05/2020 20:48
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
The problem is after school and university people start earning at 25, they want to retire at 55 which means they’ll be retired longer than they work. All of which means they’ll take more out of the pot than they put in. It’s unsustainable particularly in times of economic stress
IP: Logged
RoyalBerkshireFox Posted on 24/05/2020 00:02
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
That's the problem, Filbo65. You have no recourse. In 2012 my pension pot was 60k. Throughout the rising market my Inestment dropped to half of that, while they paid out good dividends to their shareholders. I complained but was told that unfortunately they had chosen poorly performing finds and that they told ne shares can go down as well as up so the risk was all mine.
To make it worse they asked for verified ID before drawing down and the pot is now worth 13k. Shameful.
IP: Logged
Filbo65 Posted on 24/05/2020 00:17
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
That's outrageous, I absolutely agree! [sad]
Can you name them, if only to warn others?
IP: Logged
billsballbag Posted on 24/05/2020 17:26
Pensions

Report Message | Email Message To A Friend | Reply To Message 

 
It’s a con.

Look at the fund management fees in relation to income yield.

Then wonder why they drive shiny cars and have big offices.

Better off do it yourself through a platform. Big global companies with decent dividends. 20 or so.

Then lock into a long dated fixed mortgage. Mortgage debts never been so cheap. Below inflation.

IP: Logged
SohoFox Posted on 24/05/2020 18:48
Pensions
Edited On: 24/05/2020 18:57
Report Message | Email Message To A Friend | Reply To Message 

 
Might as well piiisss it up against the wall, RBF.
13 Grand pension pot won't buy you a bag of crisps.
Surely you need a pension pot of at least £500,000 just to get a pension of 20 Grand a year????
Or am I missing something?
Mind you the State Pension pays about 10 Grand a year (if you didn't contract out and paid all your SERPS and paid enough NI contributions).
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2020 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213